/* 1. Use a more-intuitive box-sizing model */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* 2. Remove default margin */
*:not(dialog) {
  margin: 0;
}

/* 3. Enable keyword animations */
@media (prefers-reduced-motion: no-preference) {
  html {
    interpolate-size: allow-keywords;
  }
}
body {
  /* 4. Add accessible line-height */
  line-height: 1.5;
  /* 5. Improve text rendering */
  -webkit-font-smoothing: antialiased;
}

/* 6. Improve media defaults */
img,
picture,
video,
canvas,
svg {
  display: block;
}

/* 7. Inherit fonts for form controls */
input,
button,
textarea,
select {
  font: inherit;
}

/* 8. Avoid text overflows */
p,
h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
}

/* 9. Improve line wrapping */
p {
  text-wrap: pretty;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  text-wrap: balance;
}

/*
  10. Create a root stacking context
*/
#root,
#__next {
  isolation: isolate;
}

@font-face {
  font-family: "Roboto Regular";
  src: url("./fonts/Roboto-Regular.woff2") format("woff2"), url("./fonts/Roboto-Regular.woff") format("woff");
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: "Roboto Medium";
  src: url("./fonts/Roboto-Medium.woff2") format("woff2"), url("./fonts/Roboto-Medium.woff") format("woff");
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: "Klapt Cyrillic";
  src: url("./fonts/KlaptCyrillic-Bold.woff2") format("woff2"), url("./fonts/KlaptCyrillic-Bold.woff") format("woff");
  font-weight: normal;
  font-style: normal;
}
.app-button {
  font-family: "Roboto Regular", Verdana, serif, sans-serif;
  font-size: 16px;
  color: #fff;
  width: 142px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 20px;
  background-color: #f63;
  transition: all 0.3s linear;
}
.app-button:hover {
  background-color: #f52;
}

.brand-color {
  color: #ff4800;
}

.app-subtitle {
  font-size: 32px;
  padding-bottom: 32px;
}

.app-attention-text {
  font-family: "Roboto Medium", Verdana, serif, sans-serif;
  font-size: 16px;
  font-weight: 500;
  line-height: 1.5em;
}

.app-text {
  font-family: "Roboto Regular", Verdana, serif, sans-serif;
  font-size: 14px;
  font-weight: 400;
  color: #999;
  line-height: 1.5em;
}

@media only screen and (min-width: 1024px) {
  .app-subtitle {
    font-size: 56px;
    line-height: 100%;
  }
  .app-text {
    font-size: 16px;
  }
  .app-attention-text {
    font-size: 24px;
  }
}
.header {
  position: sticky;
  top: 0;
  left: 0;
  width: 100%;
  background-color: #000;
  border-bottom: 1px solid #262626;
  padding-top: 25px;
  padding-bottom: 25px;
  padding-left: 24px;
  padding-right: 24px;
  z-index: 1000;
}
.header-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.header__logo {
  height: 16px;
  width: auto;
}
.header__logo-img {
  display: block;
  height: 100%;
  width: auto;
}
.header__button {
  margin: 0 auto;
}
.header__desktop-menu {
  display: none;
}
.header__mobile-menu-nav {
  display: none;
  opacity: 0;
  transform: translateY(0);
  transition: transform 0.5s ease, opacity 0.5s ease;
}
.header__mobile-menu-nav.active {
  display: block;
  opacity: 1;
  transform: translateY(0);
  position: absolute;
  width: 100%;
  top: 71px;
  left: 0;
  z-index: 10;
  background-color: #000;
  height: 100vh;
  padding-top: 48px;
}
.header__mobile-menu-nav.closing {
  opacity: 0;
  transform: translateY(-20px);
  transition: transform 0.5s ease, opacity 0.5s ease;
}
.header__toggle {
  display: flex;
  flex-direction: column;
  gap: 5px;
  background: none;
  border: none;
  cursor: pointer;
  width: 20px;
  height: 20px;
  position: relative;
  z-index: 20;
}
.header__toggle span {
  display: block;
  width: 20px;
  height: 2px;
  background-color: #fff;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: transform 0.3s ease, opacity 0.3s ease;
}
.header__toggle span:nth-child(1) {
  top: calc(50% - 7px);
}
.header__toggle span:nth-child(3) {
  top: calc(50% + 7px);
}
.header__toggle.active span:nth-child(1) {
  display: none;
}
.header__toggle.active span:nth-child(2) {
  top: 50%;
  transform: translate(-50%, 0%) rotate(45deg);
}
.header__toggle.active span:nth-child(3) {
  top: 50%;
  transform: translate(-50%, 0%) rotate(-45deg);
}
.header__menu-item {
  margin-bottom: 32px;
  text-align: center;
}
.header__menu-item-link {
  color: #fff;
  transition: color 0.2s linear;
  font-size: 18px;
  font-family: "Roboto Regular", Verdana, serif, sans-serif;
}
.header__menu-item-link:hover {
  color: #f63;
}

.desktop-button {
  display: none;
}

@media (min-width: 900px) {
  .header__nav {
    display: flex;
  }
  .header {
    background-color: rgba(0, 0, 0, 0.6);
    backdrop-filter: blur(7.5px);
    -webkit-backdrop-filter: blur(7.5px);
  }
  .header__mobile-menu {
    display: none;
  }
  .header__menu-item {
    margin-bottom: 0;
    font-size: 16px;
  }
  .header-container {
    max-width: 1250px;
    margin: 0 auto;
    padding-left: 25px;
    padding-right: 25px;
  }
  .header__desktop-menu {
    display: flex;
    align-items: center;
  }
  .header__desktop-menu-list {
    display: flex;
    align-items: center;
    gap: 40px;
  }
  .desktop-button {
    display: flex;
  }
}
.welcome-section {
  padding-top: 268px;
  padding-bottom: 268px;
}
.welcome-section__shadow, .welcome-section__img {
  display: block;
  position: absolute;
  right: 0;
  top: 0;
}
.welcome-section__title {
  font-size: 32px;
  -webkit-text-stroke-width: 1.5px;
  -webkit-text-stroke-color: #fff;
  text-align: center;
  padding-bottom: 48px;
}
.welcome-section__button {
  margin-left: auto;
  margin-right: auto;
}

.about-section {
  padding-top: 74px;
  padding-bottom: 47px;
  background-image: url("./images/about-block-img.png");
  background-image: image-set(url("./images/about-block-img.webp"), url("./images/about-block-img.png"));
  background-size: contain;
  background-position: left top;
  background-repeat: no-repeat;
}
.about-section__shadow, .about-section__img {
  display: none;
}
.about-section__text {
  padding-bottom: 32px;
}
.about-gg-section {
  padding-top: 74px;
  padding-bottom: 64px;
}
@media only screen and (min-width: 1024px) {
  .about-gg-section {
    padding-top: 86px;
    padding-bottom: 80px;
  }
}
.about-gg-section__text {
  padding-bottom: 32px;
}
.about-gg-section__attention-text {
  padding-bottom: 16px;
}

.services-section {
  padding-top: 74px;
  padding-bottom: 70px;
  background-image: url("./images/services-img.png");
  background-image: image-set(url("./images/services-img.webp"), url("./images/services-img.png"));
  background-size: contain;
  background-position: right top;
  background-repeat: no-repeat;
}
.services-section__img, .services-section__shadow {
  display: none;
}
.services-text {
  margin-bottom: 40px;
}
.services-block {
  padding-left: 24px;
  padding-right: 24px;
  max-width: 726px;
  cursor: pointer;
  max-height: 58px;
  border-radius: 8px;
  overflow: hidden;
  border: 1px solid rgba(255, 255, 255, 0.5);
  background: linear-gradient(90deg, rgba(0, 12, 16, 0.1) 0%, rgba(244, 234, 229, 0.1) 100%);
  -webkit-backdrop-filter: blur(7.5px);
  transition: all 0.3s ease;
}
.services-block:hover {
  border: 1px solid #f63;
}
.services-block:not(:last-of-type) {
  margin-bottom: 16px;
}
.services-block.open {
  max-height: 500px;
  border-color: #f63;
}
.services-block.open .services-block__icon {
  transform: rotate(90deg);
}
.services-block__title {
  font-family: "Roboto Medium", Verdana, serif, sans-serif;
  font-size: 16px;
  font-weight: 500;
  line-height: 1.5em;
}
.services-block__title-wrapper {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-top: 16px;
  padding-bottom: 16px;
}
.services-block__icon {
  display: block;
  width: 24px;
  height: 24px;
  transition: transform 0.5s ease;
}
.services-block__text {
  font-size: 14px;
  padding-bottom: 16px;
}

.contacts-section {
  padding-top: 74px;
  padding-bottom: 74px;
  background-image: url("./images/contacts-img.png");
  background-image: image-set(url("./images/contacts-img.webp"), url("./images/contacts-img.png"));
  background-size: contain;
  background-position: left top;
  background-repeat: no-repeat;
}
.contacts-section__shadow, .contacts-section__img {
  display: none;
}
.contacts-block {
  display: flex;
  flex-direction: column;
  gap: 32px;
}
.contacts-text {
  padding-bottom: 40px;
}
.contacts-info {
  color: #fff;
  padding-top: 12px;
}

@media only screen and (min-width: 768px) {
  .welcome-section {
    padding-top: 254px;
    padding-bottom: 104px;
  }
  .welcome-section__shadow, .welcome-section__img {
    width: 70%;
  }
  .welcome-section__title {
    font-size: 80px;
    line-height: 100%;
  }
  .about-section {
    background-image: url("./images/about-block-img-tablet.png");
    background-image: image-set(url("./images/about-block-img-tablet.webp"), url("./images/about-block-img-tablet.png"));
    padding-top: 236px;
    padding-bottom: 236px;
  }
  .about-block {
    width: 50%;
    margin-left: auto;
  }
  .services-section {
    background-size: 290px auto;
    padding-top: 0;
  }
  .contacts-section {
    background: none;
    position: relative;
  }
  .contacts-section__wrapper {
    width: 74%;
    max-width: 885px;
    margin-left: auto;
  }
  .contacts-section__shadow {
    display: block;
    height: 362px;
    width: auto;
    position: absolute;
    left: 0;
    bottom: 0;
  }
  .contacts-section__img {
    display: block;
    height: 327px;
    width: auto;
    position: absolute;
    left: 0;
    bottom: 0;
  }
  .contacts-block {
    flex-direction: row;
    align-items: flex-start;
    gap: 65px;
    width: 90%;
    max-width: 781px;
  }
}
@media only screen and (min-width: 1024px) {
  .welcome-section {
    padding-bottom: 254px;
  }
  .welcome-section__shadow, .welcome-section__img {
    width: 60%;
  }
  .about-section {
    background: none;
    position: relative;
    padding-bottom: 250px;
  }
  .about-section__shadow, .about-section__img {
    display: block;
    position: absolute;
  }
  .about-section__img {
    width: 547px;
    left: 0;
    top: 55px;
  }
  .about-section__shadow {
    top: -20%;
    left: 0;
    width: 994px;
  }
  .services-section {
    position: relative;
    background: none;
    padding-top: 86px;
    padding-bottom: 100px;
  }
  .services-section__shadow, .services-section__img {
    display: block;
    position: absolute;
  }
  .services-section__img {
    width: 442px;
    right: 0;
    top: 230px;
  }
  .services-section__shadow {
    bottom: -17%;
    right: 0;
    width: 1177px;
  }
  .contacts-section {
    padding-top: 179px;
    padding-bottom: 179px;
  }
  .contacts-section__shadow {
    height: 140%;
  }
  .contacts-section__img {
    height: 70%;
  }
  .contacts-block {
    justify-content: space-between;
  }
  .contacts-block__item {
    width: 50%;
  }
}
@media only screen and (min-width: 1440px) {
  .welcome-section__img {
    width: 984px;
  }
  .welcome-section__shadow {
    width: 972px;
  }
  .contacts-section__shadow {
    height: 1117px;
  }
  .contacts-section__img {
    height: 585px;
  }
}
*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  outline: none;
}

a {
  text-decoration: none;
}

ul[class] {
  list-style: none;
}

body {
  font-family: "Klapt Cyrillic", Verdana, serif, sans-serif;
  background-color: #1a0505;
  color: #fff;
  position: relative;
}

html {
  font-size: 5px;
  background-color: #000;
  scroll-behavior: smooth;
}

.container {
  position: relative;
  z-index: 4;
  max-width: 1250px;
  width: 100%;
  margin: 0 auto;
  padding-left: 25px;
  padding-right: 25px;
}

.footer {
  background-color: #000;
  padding-top: 24px;
  padding-bottom: 24px;
}
.footer-block {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-left: auto;
  margin-right: auto;
}
.footer-block__image {
  height: 32px;
  width: auto;
  display: block;
}

.year {
  color: rgba(255, 255, 255, 0.3);
  font-size: 24px;
  font-family: "Roboto Regular", Verdana, serif, sans-serif;
}